From 8dd637f5150f6f297448b8dd79a2915d4fc244f0 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 10 Oct 2024 14:21:15 +0000
Subject: [PATCH] gawk: upgrade 5.3.0 -> 5.3.1

---
 ...001-m4-readline-add-missing-includes.patch | 38 -------------------
 .../gawk/{gawk_5.3.0.bb => gawk_5.3.1.bb}     |  3 +-
 2 files changed, 1 insertion(+), 40 deletions(-)
 delete mode 100644 meta/recipes-extended/gawk/gawk/0001-m4-readline-add-missing-includes.patch
 rename meta/recipes-extended/gawk/{gawk_5.3.0.bb => gawk_5.3.1.bb} (95%)

diff --git a/meta/recipes-extended/gawk/gawk/0001-m4-readline-add-missing-includes.patch b/meta/recipes-extended/gawk/gawk/0001-m4-readline-add-missing-includes.patch
deleted file mode 100644
index 6fffd1f373..0000000000
--- a/meta/recipes-extended/gawk/gawk/0001-m4-readline-add-missing-includes.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-From 4f4e84f139e2a8682f1374a592f2636c43ad857b Mon Sep 17 00:00:00 2001
-From: Ross Burton <ross.burton@arm.com>
-Date: Tue, 21 May 2024 15:10:11 +0000
-Subject: [PATCH] m4/readline: add missing includes
-
-The cross-specific code fragment only includes stdio.h, where the native
-fragment also includes fcntl.h and unistd.h.  This is important because
-GCC 14.1 has made the implicit definitions an error:
-
-conftest.c: In function 'main':
-conftest.c:144:9: error: implicit declaration of function 'close'; did you mean 'pclose'? [-Wimplicit-function-declaration]
-conftest.c:146:14: error: implicit declaration of function 'open'; did you mean 'popen'? [-Wimplicit-function-declaration]
-
-Add the missing includes so that the check doesn't always fail due to
-these errors.
-
-Upstream-Status: Backport [https://git.savannah.gnu.org/cgit/gawk.git/commit/?id=c1613c310d71b87f509458e0259ecd10eda2b140]
-Signed-off-by: Ross Burton <ross.burton@arm.com>
----
- m4/readline.m4 | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/m4/readline.m4 b/m4/readline.m4
-index 38f96326..efd52d4e 100644
---- a/m4/readline.m4
-+++ b/m4/readline.m4
-@@ -66,6 +66,8 @@ dnl action if false:
- dnl action if cross compiling:
- 		[AC_LINK_IFELSE(
- 			[AC_LANG_PROGRAM([[#include <stdio.h>
-+#include <fcntl.h>
-+#include <unistd.h>
- #include <readline/readline.h>
- #include <readline/history.h>]],		dnl includes
- 			dnl function body
--- 
-2.34.1
-
diff --git a/meta/recipes-extended/gawk/gawk_5.3.0.bb b/meta/recipes-extended/gawk/gawk_5.3.1.bb
similarity index 95%
rename from meta/recipes-extended/gawk/gawk_5.3.0.bb
rename to meta/recipes-extended/gawk/gawk_5.3.1.bb
index ac9d8500d6..50b891ef14 100644
--- a/meta/recipes-extended/gawk/gawk_5.3.0.bb
+++ b/meta/recipes-extended/gawk/gawk_5.3.1.bb
@@ -16,11 +16,10 @@ PACKAGECONFIG[readline] = "--with-readline,--without-readline,readline"
 PACKAGECONFIG[mpfr] = "--with-mpfr,--without-mpfr, mpfr"
 
 SRC_URI = "${GNU_MIRROR}/gawk/gawk-${PV}.tar.gz \
-           file://0001-m4-readline-add-missing-includes.patch \
            file://run-ptest \
            "
 
-SRC_URI[sha256sum] = "378f8864ec21cfceaa048f7e1869ac9b4597b449087caf1eb55e440d30273336"
+SRC_URI[sha256sum] = "fa41b3a85413af87fb5e3a7d9c8fa8d4a20728c67651185bb49c38a7f9382b1e"
 
 inherit autotools gettext texinfo update-alternatives
 
-- 
2.44.1

